%define pname gtkspell

Name:  libgtkspell
Version: 2.0.4
Release: alt3

Summary:	a spell-checking addon for GTK's TextView widget
Summary(be_BY.UTF-8): дадатак праверкі правапісу да віджэту GTK+ TextView
Summary(ru_RU.UTF-8): дополненіе проверкі правопісанія к віджету GTK+ TextView
Source0:	http://gtkspell.sf.net/download/%pname-%version.tar.bz2
Patch1:		%pname-%version-enchant.patch.bz2
Patch2:		%pname-%version-alt-i18n-v1.1.patch.bz2

Copyright:	GPL
Group:		Graphical desktop/GNOME

Requires:	libenchant libgtk+2

# Automatically added by buildreq on Mon Nov 24 2003
BuildRequires: intltool XFree86-libs docbook-dtds docbook-style-xsl fontconfig freetype2 gcc3.2-c++ glib2-devel gtk-doc libatk-devel libenchant-devel libexpat libgtk+2-devel libpango-devel libstdc++-devel libxml2 libxslt pkgconfig xml-common xsltproc

%description
GtkSpell provides MSWord/MacOSX-style highlighting of misspelled words in a
GtkTextView widget.  Right-clicking a misspelled word pops up a menu of
suggested replacements.

%description -l be_BY.UTF-8
GtkSpell прадастаўляе падсвятленьне памылкова напісаных словаў у стылі MSWord/MacOSX
як дадатак да віджэту GtkTextView. Націск правай клявішай мышы выкліча кантэкстнае мэню
з прапановамі правільнага напісаньня слова ці даданьня слова да пэрсанальнага слоўніку.

%description -l ru_RU.UTF-8
GtkSpell предостовляет режим подсветки ошибочного написания слова в стиле MSWord/MacOSX,
являясь дополнением к виджету GtkTextView. Щелчёк правой клавишей мыши вызовет контекстное меню
с предложением правильного написания или добавления слова к персональному словарю.

%package -n %name-devel
Summary: Development files needed to build applications with %name
Summary(be_BY.UTF-8):	Файлы распрацоўкі патрэбныя для пабудовы дастасаваньняў з %name
Summary(ru_RU.UTF-8):	Файлы разработки нужные для построения приложений с %name
Group: Development/C
Requires: %name = %version


%package -n %name-devel-static
Summary: Static library needed to build static applications with %name
Summary(be_BY.UTF-8):	Статычныя бібліятэкі патрэбныя для пабудовы статычных дастасаваньняў з %name
Summary(ru_RU.UTF-8):	Файлы разработки нужные для построения статических приложений с %name
Group: Development/C
Requires: %name-devel = %version

%description -n %name-devel
Development files needed to build applications with %name.

%description -n %name-devel -l be_BY.UTF-8
Файлы распрацоўкі патрэбныя для пабудовы дастасаваньняў з %name

%description -n %name-devel -l ru_RU.UTF-8
Файлы разработки нужные для построения приложений с %name

%description -n %name-devel-static
Static library needed to build statically linked applications with %name.

%description -n %name-devel-static -l be_BY.UTF-8
Статычныя бібліятэкі патрэбныя для пабудовы статычных дастасаваньняў з %name

%description -n %name-devel-static -l ru_RU.UTF-8
Файлы разработки нужные для построения статических приложений с %name


%define _gtk_docdir %_datadir/gtk-doc/html

%prep
%setup -q -n %pname-%version
%patch1 -p0
%patch2 -p1

%build
%__aclocal
%__autoheader
%__autoconf
%__automake -a
%configure

%make_build

%install
%makeinstall 
%find_lang %pname

%post -n %name -p /sbin/ldconfig
%postun -n %name -p /sbin/ldconfig

%files -f %pname.lang
%doc AUTHORS COPYING ChangeLog NEWS README
%_libdir/*.so.*

%files -n %name-devel
%_libdir/*.so
%_libdir/pkgconfig/*
%_includedir/gtkspell-2.0
%doc %_gtk_docdir/*

%if_enabled static
%files -n %name-devel-static
%_libdir/*.a
%endif

%changelog
* Wed Aug 04 2004 Vital Khilko <vk@altlinux.ru> 2.0.4-alt3
- replaced add_word_to_session() to add_word_to_personal() in enchant patch
- added ru and be package description

* Fri Jul 09 2004 Dmitry Vukolov <dav@altlinux.ru> 2.0.4-alt2
- NMU to fix incorrect i18n patch behaviour that interfered with applications'
  own internationalization (#4745)

* Thu Dec 11 2003 Vital Khilko <vk@altlinux.ru> 2.0.4-alt1
- added enchant support instead aspell
- added i18n support by VK@
- added russian and belarusian translation
